%define	name		tsclient
%define	version		0.120
%define	release		1mdk
%define	_desktop        /usr/share/gnome/apps/Internet

Summary:  	Terminal Server Client is a frontend for rdesktop for the GNOME2 platform.
Name:     	%{name}
Version:  	%{version}
Release:  	%{release}
License: 	GPL
Group:		Networking/Remote access 
URL:		http://www.gnomepro.com/tsclient/
Source:		%{name}-%{version}.tar.bz2
Source1:	tsclient-icon.png
Source10:   %name-16.png
Source11:   %name-32.png
Source12:   %name-48.png
# Patch0:		tsclient-connect.c.patch.bz2
Packager:       Antoine Ginies <aginies@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	libgnome2, rdesktop >= 1.0
BuildRequires: libpanel-applet-devel

%description
Terminal Server Client is a frontend for rdesktop for the GNOME2 platform.
Also support vnc.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q -n %{name}-%{version}
# %patch0 -p0

%build
%configure
%make

%install
mkdir -p %{buildroot}/%{_prefix}/share/pixmaps/
install -m 644 %{SOURCE10} %{buildroot}/%{_prefix}/share/pixmaps/tsclient.png 

mkdir -p %{buildroot}/{%_iconsdir,%_miconsdir,%_liconsdir}
install -D -m 644 %SOURCE10 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %SOURCE11 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %SOURCE12 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%makeinstall

mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name}  <<EOF
?package(%name): command="%{_bindir}/%{name}" needs="X11" \
icon="%{_prefix}/share/pixmaps/%{name}.png" section="Networking/Remote access" \
title="Tsclient" longtitle="Tsclient gtk2"
EOF

mkdir -p %{buildroot}%{_datadir}/applnk/Internet/
cat << EOF > %{buildroot}%{_datadir}/applnk/Internet/tsclient.desktop
[Desktop Entry]
Name=Terminal Server Client
Comment=Frontend for rdesktop
TryExec=%{name}
Exec=tsclient
Icon=%{_prefix}/share/pixmaps/%{name}.png
Terminal=0
Type=Application
EOF

%find_lang %name

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_bindir}/tsclient
%{_libdir}/*
%_datadir/application-registry/tsclient.applications
%_datadir/gnome/apps/Internet/tsclient.desktop
%dir %_datadir/pixmaps/tsclient/
%_datadir/pixmaps/tsclient.*
%_datadir/pixmaps/tsclient/*
%_datadir/mime-info/*
%dir %{_datadir}/applnk
%dir %{_datadir}/applnk/Internet
%{_datadir}/applnk/Internet/tsclient.desktop
# menu and icons
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Aug 18 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.120-1mdk
- release 0.120

* Fri May 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.108-1mdk
- 0.108
- add all icons
- fix files list
 
* Fri Jan 10 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.86-3mdk
- transparent icon (padbol) 
* Tue Jan 07 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.86-2mdk
- correct icon path
* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.86-1mdk
- new release 0.86
* Mon Nov 04 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.32-1mdk
- version 0.32
* Wed Oct 30 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.16-2mdk
- correct url tag
* Tue Oct 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.16-1mdk
- patch for -F rdesktop option
- first release for Mandrakesoft 
